# frozen_string_literal: true

require_relative 'lib/r2m/version'

Gem::Specification.new do |spec|
  spec.name          = 'r2m'
  spec.version       = R2M::VERSION
  spec.authors       = ['Paul Keen']
  spec.email         = ['info@jetthoughts.com']

  spec.summary       = 'Converts RSpec files to minitest'
  spec.description   = 'A command-line tool for converting RSpec files to minitest.'
  spec.homepage      = 'https://github.com/jetthoughts/r2m'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/jetthoughts/r2m'
  spec.metadata['changelog_uri'] = 'https://github.com/jetthoughts/r2m/README.md'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'thor'
end
